*{
  margin: 0;
  padding: 0;
}

.oculto{
  display: none;
}

body{
  background-color:rgb(211, 208, 208)
}

.dark {
  background-color: black;
}

.home{
  margin: 10px;
}

header{
  position: fixed;
  top: 0;
}

.saludo-usuario{
  color: rgb(148, 20, 131);
  margin-top: 90px;
  margin-bottom: auto;
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
  font-size: xx-large;
  display: flex;
  align-items: center;
  justify-content: center;
}

.nav-bar{
  background: rgb(2,0,36);
  background: linear-gradient(90deg, rgba(2,0,36,1) 0%, rgba(48,117,10,1) 0%, rgba(48,117,10,1) 0%, rgba(78,72,53,1) 0%, rgba(110,83,124,1) 0%, rgba(20,174,153,1) 0%, rgba(121,9,115,1) 100%);;
  overflow: hidden;
  position: fixed;
  width: 100%;
  display: flex;
}

.nav-bar a{
  float: left;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
}

.nav-bar a:hover {
  background-color: #ddd;
  color: black;
}

.nav-bar a:active {
  background-color:  rgb(59, 47, 70);
  color: white;
}

h1{
  color: rgb(148, 20, 131);
  font-family: 'Saira', sans-serif;
  font-weight: bold;
  margin: 10px;
  padding: 40px;
  display: flex;
  justify-content: center;
}

h2{
  color: white;
  font-family: 'Saira', sans-serif;
  display: flex;
  justify-content: center;
  padding: 15px;
}

.parcial{
  color: white;
  box-sizing: border-box;
  border: none;
  border-radius: 4px;
}

.contenedor-principal{
  background: rgb(2,0,36);
  background: linear-gradient(90deg, rgba(2,0,36,1) 0%, rgba(48,117,10,1) 0%, rgba(48,117,10,1) 0%, rgba(78,72,53,1) 0%, rgba(110,83,124,1) 0%, rgba(20,174,153,1) 0%, rgba(121,9,115,1) 100%);
  margin: 50px;
  padding: 20px;
}

.contenedor-numeros-calculadora{
  display: flex;
  flex-direction: row;
  margin: 15px;
}

.contenedor-numeros-arrays{
  display: grid;
  grid-template-columns: auto auto auto;
  margin-bottom: 15px;
}

.componente-grid{
  margin: 0px 70px;
}

.input-calculadora{
  margin: 0px 15px;
}

.inputs-generales{
  box-sizing: border-box;
  border: none;
  border-bottom: 2px solid grey;
  border-radius: 4px;
}

@media (max-width:767px) {
  .contenedor-principal {
    margin-bottom:0;
    align-items: center;
    text-align:center;
  }
}

.botones{
  width: 110px;
  margin-left: 50%;
  margin-top: 8px;
  transform: translateX(-50%);
  border-radius: 4px;
  font-size: large;
  padding: 5px 5px;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2), 0 6px 20px 0 rgba(0,0,0,0.19);
  cursor: pointer;
}

.botones:hover{
  background-color: #ddd;
}

.boton-sombra{
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2), 0 6px 20px 0 rgba(0,0,0,0.19);
  margin: 3px;
}

p{
  color: white;
  font-size:x-large; 
  margin: 10px;
  padding: 10px;
  display: flex;
  justify-content: center;
}

.cotizador{
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: x-large;
}

.monedas{
  margin: 1%;
}

.texto-conversor{
  color: white;
}

.resultados{
  color: white;
  display: flex;
  justify-content: center;
  font-weight: bold;
  font-size: x-large;
  padding-top: inherit;
}

.resultado-primos{
  color: white;
  display: flex;
}

.boton-contenedor{
  display: flex;
  justify-content: center;
}

label{
  color: white;
}

input[type=text], select, textarea {
  width: 100%;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 4px; 
  box-sizing: border-box;
  margin-top: 6px; 
  margin-bottom: 16px;
  resize: vertical 
}
  
input[type=submit] {
  background-color: rgb(197, 160, 204);
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}
  
input[type=submit]:hover {
  background-color: rgb(76, 61, 90);
}
  
.footer-dark {
  padding:20px 0;
  color:#f0f9ff;
  background: rgb(2,0,36);
  background: linear-gradient(90deg, rgba(2,0,36,1) 0%, rgba(48,117,10,1) 0%, rgba(48,117,10,1) 0%, rgba(78,72,53,1) 0%, rgba(110,83,124,1) 0%, rgba(20,174,153,1) 0%, rgba(121,9,115,1) 100%);;
}
  
.footer-dark h3 {
    margin-top:0;
    margin-bottom:12px;
    font-weight:bold;
    font-size:16px;
}
  
.footer-dark ul {
    padding:0;
    list-style:none;
    line-height:1.6;
    font-size:14px;
    margin-bottom:0;
}
  
.footer-dark ul a {
    color:inherit;
    text-decoration:none;
    opacity:0.6;
}
  
.footer-dark ul a:hover {
  opacity:0.8;
}
  
@media (max-width:767px) {
  .footer-dark .item:not(.social) {
    text-align:center;
    padding-bottom:20px;
  }
}
  
@media (max-width:767px) {
  .footer-dark .item.text {
    margin-bottom:0;
  }
}
  
.footer-dark .item.text p {
  opacity:0.6;
  margin-bottom:0;
}
  
.footer-dark .item.social {
  text-align:center;
}
  
@media (max-width:991px) {
  .footer-dark .item.social {
    text-align:center;
  }
}
  
.footer-dark .item.social > a {
  font-size:20px;
  width:36px;
  height:36px;
  line-height:36px;
  display:inline-block;
  text-align:center;
  border-radius:50%;
  box-shadow:0 0 0 1px rgba(255,255,255,0.4);
  margin:0 8px;
  color:#fff;
  opacity:0.75;
}
  
.footer-dark .item.social > a:hover {
  opacity:0.9;
}
  
.footer-dark .copyright {
  text-align:center;
  opacity:0.3;
  font-size:13px;
  margin-bottom:0;
}